@font-face {
    font-family: 'bertin';
    src: url(fonts/BertinDotSize-Trial.ttf);
}

@font-face {
    font-family: 'bebas';
    src: url(fonts/BebasNeue-Regular.woff);
}

@font-face {
    font-family: 'neutral';
    src: url(fonts/Neutral-Regular.woff);
}

:root {
    --font-size-S: .9vw;
    --font-size-M: 4vw;
    --font-size-L: 5vw;
    --font-axis: 10;
    --couleur: red;
}


/*------------------   Classes & general  -----------------------------------------------------------------------*/
p {
    margin: 1vw;
    pointer-events: none;
    font-family: 'neutral';
    font-size: var(--font-size-S);
    color: black;
    position: relative;
    z-index: 2;
    width: 25vw;
}

.regular {
    font-family: 'bebas';
    font-size: calc(var(--font-size-L)*2.9);
    margin-top: -1vw;
    line-height: 14vw;
}

h2>span {
    z-index: 2;
    position: relative;
    font-family: 'bebas';
    font-size: calc(var(--font-size-L)*0.9);
}

h3>span {
    z-index: 2;
    position: relative;
    font-family: 'bebas';
    font-size: calc(var(--font-size-M)*0.9);
}

h1 {
    font-family: 'bertin';
    font-size: calc(var(--font-size-L)*3.5);
    margin-top: 1.5vw;
    margin-bottom: 0px;
    line-height: 14vw;
    animation: title 2s ease-in-out infinite alternate-reverse;
}

@keyframes title {
    from {
        font-variation-settings: 'size' 10;
    }

    to {
        font-variation-settings: 'size' 300;
    }
}

h2 {
    pointer-events: none;
    position: relative;
    z-index: 2;
    font-family: 'bertin';
    font-size: var(--font-size-L);
}

h3 {
    pointer-events: none;
    position: relative;
    z-index: 2;
    white-space: nowrap;
    font-family: 'bertin';
    font-size: var(--font-size-M);
    width: 89vw;
}

/*------------------   IDs  -----------------------------------------------------------------------*/
.titleRotated {
    writing-mode: vertical-rl;
    text-orientation: mixed;
    height: 0px;
    transform: translateX(-87%);
}

.titleDroite {
    text-align: end;
}

.titleGauche {
    text-align: start;
}

.adaptation {
    left: 87vw;
    position: relative;
    transform: translateX(-93%);
}

.lastH3 {
    display: none !important;
}

.colophon {
    pointer-events: none;
    transform: inherit;
    writing-mode: vertical-rl;
    text-orientation: mixed;
    position: fixed;
    top: 0px;
    text-align: start;
    right: 0;
    margin: 1vw !important;
    font-size: calc(var(--font-size-S)*1.3);
    font-family: 'bertin';
    font-variation-settings: 'size' var(--font-axis);
}

#button {
    font-weight: 400;
    align-content: center;
    text-align: center;
    font-size: .7VW;
    font-family: 'neutral';
    border-radius: 100px;
    margin: 1vw;
    cursor: pointer;
    position: fixed;
    bottom: 0;
    right: 0;
    width: 2.5vw;
    height: 2.5vw;
    border: 2px solid black;
    z-index: 100;
}

#button:hover {
    color: white;
    background-color: black;
}

#preview-test {
    border-radius: 100px;
    margin: 1vw;
    cursor: pointer;
    position: fixed;
    bottom: 5vw;
    right: 0;
    width: 2.5vw;
    height: 2.5vw;
    border: 2px solid blue;
    z-index: 100;
}

#preview-test:hover {
    background-color: blue;
}

#graphic-mouse {
    margin: none;
    top: 0px;
    left: 0px;
    position: fixed;
    border: 1px solid red;
    background-color: aquamarine;
    display: none;
}

#graphic-scroll {
    display: none;
}

#mosaique {
    width: 100vw;
    height: 100vh;
    position: fixed;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: flex-start;
    align-content: start;
    margin: .8vw;
    top: 0;
}

/*------------------   Images de la mosaïque  -----------------------------------------------------------------------*/
.img-mosaique {
    display: block;
    visibility: hidden;
    position: relative;
    filter: grayscale(100%) contrast(1.5);
    height: 8vw;
}

.backgroundImg{
    margin-right: 1vw;
    margin-bottom: 1vw;
}

/*
.img-mosaique:hover {
    filter: hue-rotate(-45deg) saturate(13.5);
}*/

.img-mosaique:hover{
    mix-blend-mode: screen;
    -webkit-filter: grayscale(100%) contrast(200%);
    filter: grayscale(100%) contrast(200%);
    opacity: 1;
}